import { IDataFlowConnector } from "../../types";

interface IDataFlow
{
	connect( connector: IDataFlowConnector ): Promise<void>;

	disconnect( { name }: Function ): Promise<void>;

	from<T extends IDataFlowConnector>( { name }: T | Function ): T;

	has( { name }: Function ): boolean;
}

export const PitayaDataFlow: IDataFlow;