import { IStorage } from "./indexed-db.d";

interface IPitayaStorage
{
	get( key: string ): Promise<IStorage>;

	set( data ): Promise<number>;

	update( key: string, data ): Promise<number>;

	has( key: string ): Promise<boolean>;
}

export declare const PitayaStorage: IPitayaStorage;