import Dexie from "dexie";

export interface IStorage
{
	id?: number;
	name: string;

	[ x: string ]: string | number | boolean;
}

declare class PitayaIndexedDbImpl extends Dexie
{
	public static readonly NAME: string;

	public storage: Dexie.Table<IStorage, number>;
}

export declare const PitayaIndexedDb: PitayaIndexedDbImpl;