"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aurelia_framework_1 = require("aurelia-framework");
const aurelia_logging_console_1 = require("aurelia-logging-console");
const app_configuration_1 = require("../app/app-configuration");
const level = app_configuration_1.PitayaAppConfiguration.Development.enabled ? app_configuration_1.PitayaAppConfiguration.Development.logging : "error";
aurelia_framework_1.LogManager.addAppender(new aurelia_logging_console_1.ConsoleAppender());
aurelia_framework_1.LogManager.setLevel(aurelia_framework_1.LogManager.logLevel[level]);
exports.log = aurelia_framework_1.LogManager.getLogger("development");
exports.default = exports.log;
//# sourceMappingURL=logger.js.map